> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weav.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get knowledge base

> Requires a token with the external-api:read or external-api:write ability. cURL JavaScript Python PHP cURL JavaScript Python PHP 200 OK 200 OK 401 Unauthorized id string Format: uuid . organization_id string Format: uuid . logo_url string | null improvement_enabled boolean mcp_enabled boolean…

```http
GET https://api.weav.com/v1/kb
```

Requires a token with the `external-api:read` or `external-api:write` ability.

## Request

<CodeGroup>

```bash cURL
curl --request GET \
  --url 'https://api.weav.com/v1/kb' \
  --header "Authorization: Bearer ${WEAV_API_TOKEN}"
```

```js JavaScript
const response = await fetch("https://api.weav.com/v1/kb", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`
  }
});
console.log(await response.json());
```

```python Python
import os
import requests

headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
response = requests.get("https://api.weav.com/v1/kb", headers=headers)
print(response.json())
```

```php PHP
use GuzzleHttp\Client;

$client = new Client();
$response = $client->request('GET', 'https://api.weav.com/v1/kb', [
    'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
]);
echo $response->getBody();
```

</CodeGroup>

## Response

<CodeGroup>

```json 200 OK
{
    "id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "organization_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "logo_url": "string",
    "improvement_enabled": false,
    "mcp_enabled": false,
    "social_links": {
        "x": "string",
        "linkedin": "string",
        "facebook": "string",
        "instagram": "string",
        "youtube": "string",
        "github": "string",
        "discord": "string",
        "website": "string"
    },
    "banner": {
        "enabled": false,
        "content": "string",
        "dismissible": false,
        "type": "info",
        "light_color": "string",
        "dark_color": "string"
    },
    "seo": {
        "indexing_enabled": false,
        "description": "string",
        "agent_instructions": "string",
        "og_image_url": "https://example.com",
        "verification": {
            "google": "string",
            "bing": "string",
            "yandex": "string"
        },
        "content_signals": {
            "ai_train": false,
            "search": false,
            "ai_input": false
        }
    },
    "sitemap_url": "https://example.com"
}
```

</CodeGroup>

- `401` Unauthorized

## Response fields

<ParamField body="id" type="string">
Format: `uuid`.
</ParamField>

<ParamField body="organization_id" type="string">
Format: `uuid`.
</ParamField>

<ParamField body="logo_url" type="string | null">

</ParamField>

<ParamField body="improvement_enabled" type="boolean">

</ParamField>

<ParamField body="mcp_enabled" type="boolean">

</ParamField>

<ParamField body="social_links" type="object">

</ParamField>

<ParamField body="banner" type="object">
Current public KB announcement banner settings.
</ParamField>

<ParamField body="seo" type="object">
Organization SEO controls; all defaults preserve existing indexing behavior.
</ParamField>

<ParamField body="sitemap_url" type="string">
Format: `uri`.
</ParamField>

---

This knowledge base is built and hosted on [Weav](https://weav.com).
